{
"Tag": "Created using Mangopay API Postman Collection",
"DownloadFormat": "CSV",
"CallbackURL": null,
"Sort": "CreationDate:ASC",
"Preview": false,
"Filters": {
"BeforeDate": 1658838931,
"AfterDate": 1656246931,
"OwnerId": null,
"Currency": null,
"MinBalanceAmount": null,
"MinBalanceCurrency": null,
"MaxBalanceAmount": null,
"MaxBalanceCurrency": null
},
"Columns": [
"Id",
"Tag",
"CreationDate",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType"
]
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$reportRequest = new \MangoPay\ReportRequest();
$reportRequest->ReportType = \MangoPay\ReportType::Wallets;
$reportRequest->CallbackURL = 'http://example.com';
$reportRequest->Tag = 'Created using Mangopay PHP SDK';
$reportRequest->Filters = [
'Currency' => 'EUR',
'BalanceAmount' => [
'Min' => 1,
'Max' => 1000000
],
'BeforeDate' => 1658838931,
'AfterDate' => 1656246931,
'OwnerId' => null,
'MinBalanceAmount' => 1,
'MinBalanceCurrency' => 'EUR',
'MaxBalanceAmount' => 100000000,
'MaxBalanceCurrency' => 'EUR',
];
$reportRequest->Columns = [
'Id',
'CreationDate',
'Tag',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType',
];
$response = $api->Reports->Create($reportRequest);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWalletsReport = {
ReportType: 'WALLET',
Tag: 'Created with Mangopay NodeJs SDK',
DownloadFormat: 'CSV',
CallbackURL: 'http://example.com',
Sort: 'CreationDate:ASC',
Preview: false,
Filters: {
BeforeDate: 1658838931,
AfterDate: 1656246931,
OwnerId: null,
Currency: 'EUR',
MinBalanceAmount: 1,
MinBalanceCurrency: 'EUR',
MaxBalanceAmount: 1000000,
MaxBalanceCurrency: 'EUR',
},
Columns: [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType',
],
}
const createWalletsReport = async (report) => {
return await mangopay.Reports.create(report)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
createWalletsReport(myWalletsReport)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
myReport = {
ReportType: 'wallets',
Tag: 'Created with Mangopay Ruby SDK',
DownloadFormat: 'CSV',
CallbackURL: 'http://example.com',
Sort: 'CreationDate:ASC',
Preview: false,
Filters: {
BeforeDate: 1658838931,
AfterDate: 1656246931,
OwnerId: nil,
Currency: 'EUR',
MinBalanceAmount: 1,
MinBalanceCurrency: 'EUR',
MaxBalanceAmount: 1000000,
MaxBalanceCurrency: 'EUR'
},
Columns: [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType'
]
}
createWalletsReport(myReport)
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import ReportWallets
from mangopay.utils import ReportWalletsFilters
wallets_report = ReportWallets(
tag = 'Created using Mangopay Python SDK',
download_format = 'CSV',
callback_url = 'http://example.com',
sort = 'CreationDate: ASC',
preview = False,
filters = ReportWalletsFilters(
currency = 'GBP',
min_balance_amount = 1,
min_balance_currency = 'GBP',
max_balance_amount = 100000,
max_balance_currency = 'GBP'
),
columns = [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType'
]
)
create_report = wallets_report.create()
pprint(create_report._data)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var report = new ReportRequestPostDTO(ReportType.WALLETS) {
Filters = {
MinBalanceAmount = 500,
MinBalanceCurrency = CurrencyIso.EUR,
MaxBalanceAmount = 50000,
MaxBalanceCurrency = CurrencyIso.EUR
},
Columns = [
"Id",
"CreationDate",
"Tag",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType",
],
CallbackURL = "http://example.com",
Tag = "Created using the Mangopay .NET SDK"
};
var createReport = await api.Reports.CreateAsync(report);
string prettyPrint = JsonConvert.SerializeObject(createReport, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "report_m_01JFA0QC7K9CJ339JX4KV08CMW",
"CreationDate": 1734429356,
"Tag": "Created using Mangopay API Postman Collection",
"ReportDate": null,
"Status": "PENDING",
"DownloadFormat": "CSV",
"DownloadURL": null,
"CallbackURL": null,
"ReportType": "WALLETS",
"Sort": "CreationDate:ASC",
"Preview": false,
"Filters": {
"BeforeDate": 1658838931,
"AfterDate": 1656246931,
"OwnerId": null,
"Currency": null,
"MinBalanceAmount": null,
"MinBalanceCurrency": null,
"MaxBalanceAmount": null,
"MaxBalanceCurrency": null
},
"Columns": [
"Id",
"Tag",
"CreationDate",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType"
],
"ResultCode": null,
"ResultMessage": null
}
Legacy reports
Create a Wallets Report
Generate a legacy Wallets Report
POST
/
v2.01
/
{ClientId}
/
reports
/
wallets
{
"Tag": "Created using Mangopay API Postman Collection",
"DownloadFormat": "CSV",
"CallbackURL": null,
"Sort": "CreationDate:ASC",
"Preview": false,
"Filters": {
"BeforeDate": 1658838931,
"AfterDate": 1656246931,
"OwnerId": null,
"Currency": null,
"MinBalanceAmount": null,
"MinBalanceCurrency": null,
"MaxBalanceAmount": null,
"MaxBalanceCurrency": null
},
"Columns": [
"Id",
"Tag",
"CreationDate",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType"
]
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$reportRequest = new \MangoPay\ReportRequest();
$reportRequest->ReportType = \MangoPay\ReportType::Wallets;
$reportRequest->CallbackURL = 'http://example.com';
$reportRequest->Tag = 'Created using Mangopay PHP SDK';
$reportRequest->Filters = [
'Currency' => 'EUR',
'BalanceAmount' => [
'Min' => 1,
'Max' => 1000000
],
'BeforeDate' => 1658838931,
'AfterDate' => 1656246931,
'OwnerId' => null,
'MinBalanceAmount' => 1,
'MinBalanceCurrency' => 'EUR',
'MaxBalanceAmount' => 100000000,
'MaxBalanceCurrency' => 'EUR',
];
$reportRequest->Columns = [
'Id',
'CreationDate',
'Tag',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType',
];
$response = $api->Reports->Create($reportRequest);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWalletsReport = {
ReportType: 'WALLET',
Tag: 'Created with Mangopay NodeJs SDK',
DownloadFormat: 'CSV',
CallbackURL: 'http://example.com',
Sort: 'CreationDate:ASC',
Preview: false,
Filters: {
BeforeDate: 1658838931,
AfterDate: 1656246931,
OwnerId: null,
Currency: 'EUR',
MinBalanceAmount: 1,
MinBalanceCurrency: 'EUR',
MaxBalanceAmount: 1000000,
MaxBalanceCurrency: 'EUR',
},
Columns: [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType',
],
}
const createWalletsReport = async (report) => {
return await mangopay.Reports.create(report)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
createWalletsReport(myWalletsReport)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
myReport = {
ReportType: 'wallets',
Tag: 'Created with Mangopay Ruby SDK',
DownloadFormat: 'CSV',
CallbackURL: 'http://example.com',
Sort: 'CreationDate:ASC',
Preview: false,
Filters: {
BeforeDate: 1658838931,
AfterDate: 1656246931,
OwnerId: nil,
Currency: 'EUR',
MinBalanceAmount: 1,
MinBalanceCurrency: 'EUR',
MaxBalanceAmount: 1000000,
MaxBalanceCurrency: 'EUR'
},
Columns: [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType'
]
}
createWalletsReport(myReport)
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import ReportWallets
from mangopay.utils import ReportWalletsFilters
wallets_report = ReportWallets(
tag = 'Created using Mangopay Python SDK',
download_format = 'CSV',
callback_url = 'http://example.com',
sort = 'CreationDate: ASC',
preview = False,
filters = ReportWalletsFilters(
currency = 'GBP',
min_balance_amount = 1,
min_balance_currency = 'GBP',
max_balance_amount = 100000,
max_balance_currency = 'GBP'
),
columns = [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType'
]
)
create_report = wallets_report.create()
pprint(create_report._data)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var report = new ReportRequestPostDTO(ReportType.WALLETS) {
Filters = {
MinBalanceAmount = 500,
MinBalanceCurrency = CurrencyIso.EUR,
MaxBalanceAmount = 50000,
MaxBalanceCurrency = CurrencyIso.EUR
},
Columns = [
"Id",
"CreationDate",
"Tag",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType",
],
CallbackURL = "http://example.com",
Tag = "Created using the Mangopay .NET SDK"
};
var createReport = await api.Reports.CreateAsync(report);
string prettyPrint = JsonConvert.SerializeObject(createReport, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "report_m_01JFA0QC7K9CJ339JX4KV08CMW",
"CreationDate": 1734429356,
"Tag": "Created using Mangopay API Postman Collection",
"ReportDate": null,
"Status": "PENDING",
"DownloadFormat": "CSV",
"DownloadURL": null,
"CallbackURL": null,
"ReportType": "WALLETS",
"Sort": "CreationDate:ASC",
"Preview": false,
"Filters": {
"BeforeDate": 1658838931,
"AfterDate": 1656246931,
"OwnerId": null,
"Currency": null,
"MinBalanceAmount": null,
"MinBalanceCurrency": null,
"MaxBalanceAmount": null,
"MaxBalanceCurrency": null
},
"Columns": [
"Id",
"Tag",
"CreationDate",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType"
],
"ResultCode": null,
"ResultMessage": null
}
Note – Report expiration dateA report expires after 24 hours (i.e., you can no longer download it after this delay). You can still generate a new report with the same filters and information easily.
Body parameters
Max. length: 255 charactersCustom data that you can add to this object.For reports, this parameter can be useful to give the report a name.
Max. length: 255 charactersThe URL to which the notification indicating that the report is ready to be downloaded will be sent.
Possible values:
CreationDate:ASC, CreationDate:DESCDefault value: CreationDate:ASCThe sort direction based on transaction creation date.The filtering parameters to optimize the report.
Show properties
Show properties
The date before which the wallet was created (based on the wallet’s
CreationDate parameter).Caution: The time range between the BeforeDate and the AfterDate cannot exceed 24 months.The date after which the wallet was created (based on the wallet’s
CreationDate parameter).
Caution: The time range between the BeforeDate and the AfterDate cannot exceed 24 months.Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the wallets to take into account.
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the
MinBalanceAmount value.Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the
MaxBalanceAmount value.Allowed values: The
Columns listed in the Reports article, which differ according to the report type.The information to be included in the report.Responses
200
200
Max length: 128 characters (see data formats for details)The unique identifier of the object.
Max. length: 255 charactersCustom data that you can add to this object.For reports, this parameter can be useful to give the report a name.
Returned values:
PENDING, READY_FOR_DOWNLOAD, FAILED, EXPIREDThe status of the report:PENDING– The report is being generated.READY_FOR_DOWNLOAD– The report has been created, and can be downloaded.FAILED– The report cannot be generated.EXPIRED– The report was created, but is no longer available for download (it can be re-run to be downloaded again with fresh data).
Max. length: 255 charactersThe URL to which the notification indicating that the report is ready to be downloaded will be sent.
The sorting direction of the CreationDate column. By default, the generated report is sorted by ascending creation date.
The filtering parameters to optimize the report.
Show properties
Show properties
The date before which the wallet was created (based on the wallet’s
CreationDate parameter).Caution: The time range between the BeforeDate and the AfterDate cannot exceed 24 months.The date after which the wallet was created (based on the wallet’s
CreationDate parameter).
Caution: The time range between the BeforeDate and the AfterDate cannot exceed 24 months.Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the wallets to take into account.
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the
MinBalanceAmount value.Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the
MaxBalanceAmount value.Returned values: The
Columns listed in the Reports article, which differ according to the report type.The information to be included in the report.400 - Max date range 24 months
400 - Max date range 24 months
{
"Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
"Type": "param_error",
"Id": "23ca4f5b-6d35-45d0-8bde-c8424885a2e9",
"Date": 1715353491.0,
"errors": {
"Filters.AfterDate": "This report type can only be done for a date range of a maximum of 24 months."
}
}
{
"Id": "report_m_01JFA0QC7K9CJ339JX4KV08CMW",
"CreationDate": 1734429356,
"Tag": "Created using Mangopay API Postman Collection",
"ReportDate": null,
"Status": "PENDING",
"DownloadFormat": "CSV",
"DownloadURL": null,
"CallbackURL": null,
"ReportType": "WALLETS",
"Sort": "CreationDate:ASC",
"Preview": false,
"Filters": {
"BeforeDate": 1658838931,
"AfterDate": 1656246931,
"OwnerId": null,
"Currency": null,
"MinBalanceAmount": null,
"MinBalanceCurrency": null,
"MaxBalanceAmount": null,
"MaxBalanceCurrency": null
},
"Columns": [
"Id",
"Tag",
"CreationDate",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType"
],
"ResultCode": null,
"ResultMessage": null
}
{
"Tag": "Created using Mangopay API Postman Collection",
"DownloadFormat": "CSV",
"CallbackURL": null,
"Sort": "CreationDate:ASC",
"Preview": false,
"Filters": {
"BeforeDate": 1658838931,
"AfterDate": 1656246931,
"OwnerId": null,
"Currency": null,
"MinBalanceAmount": null,
"MinBalanceCurrency": null,
"MaxBalanceAmount": null,
"MaxBalanceCurrency": null
},
"Columns": [
"Id",
"Tag",
"CreationDate",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType"
]
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$reportRequest = new \MangoPay\ReportRequest();
$reportRequest->ReportType = \MangoPay\ReportType::Wallets;
$reportRequest->CallbackURL = 'http://example.com';
$reportRequest->Tag = 'Created using Mangopay PHP SDK';
$reportRequest->Filters = [
'Currency' => 'EUR',
'BalanceAmount' => [
'Min' => 1,
'Max' => 1000000
],
'BeforeDate' => 1658838931,
'AfterDate' => 1656246931,
'OwnerId' => null,
'MinBalanceAmount' => 1,
'MinBalanceCurrency' => 'EUR',
'MaxBalanceAmount' => 100000000,
'MaxBalanceCurrency' => 'EUR',
];
$reportRequest->Columns = [
'Id',
'CreationDate',
'Tag',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType',
];
$response = $api->Reports->Create($reportRequest);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myWalletsReport = {
ReportType: 'WALLET',
Tag: 'Created with Mangopay NodeJs SDK',
DownloadFormat: 'CSV',
CallbackURL: 'http://example.com',
Sort: 'CreationDate:ASC',
Preview: false,
Filters: {
BeforeDate: 1658838931,
AfterDate: 1656246931,
OwnerId: null,
Currency: 'EUR',
MinBalanceAmount: 1,
MinBalanceCurrency: 'EUR',
MaxBalanceAmount: 1000000,
MaxBalanceCurrency: 'EUR',
},
Columns: [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType',
],
}
const createWalletsReport = async (report) => {
return await mangopay.Reports.create(report)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
createWalletsReport(myWalletsReport)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
myReport = {
ReportType: 'wallets',
Tag: 'Created with Mangopay Ruby SDK',
DownloadFormat: 'CSV',
CallbackURL: 'http://example.com',
Sort: 'CreationDate:ASC',
Preview: false,
Filters: {
BeforeDate: 1658838931,
AfterDate: 1656246931,
OwnerId: nil,
Currency: 'EUR',
MinBalanceAmount: 1,
MinBalanceCurrency: 'EUR',
MaxBalanceAmount: 1000000,
MaxBalanceCurrency: 'EUR'
},
Columns: [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType'
]
}
createWalletsReport(myReport)
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import ReportWallets
from mangopay.utils import ReportWalletsFilters
wallets_report = ReportWallets(
tag = 'Created using Mangopay Python SDK',
download_format = 'CSV',
callback_url = 'http://example.com',
sort = 'CreationDate: ASC',
preview = False,
filters = ReportWalletsFilters(
currency = 'GBP',
min_balance_amount = 1,
min_balance_currency = 'GBP',
max_balance_amount = 100000,
max_balance_currency = 'GBP'
),
columns = [
'Id',
'Tag',
'CreationDate',
'Owners',
'Description',
'BalanceAmount',
'BalanceCurrency',
'Currency',
'FundsType'
]
)
create_report = wallets_report.create()
pprint(create_report._data)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var report = new ReportRequestPostDTO(ReportType.WALLETS) {
Filters = {
MinBalanceAmount = 500,
MinBalanceCurrency = CurrencyIso.EUR,
MaxBalanceAmount = 50000,
MaxBalanceCurrency = CurrencyIso.EUR
},
Columns = [
"Id",
"CreationDate",
"Tag",
"Owners",
"Description",
"BalanceAmount",
"BalanceCurrency",
"Currency",
"FundsType",
],
CallbackURL = "http://example.com",
Tag = "Created using the Mangopay .NET SDK"
};
var createReport = await api.Reports.CreateAsync(report);
string prettyPrint = JsonConvert.SerializeObject(createReport, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?